local fn = _gn(0x98A4EB5D89A0C952)
--- Returns whether the specified model (archetype) is currently loaded.
-- Note that this will return 'true' even if the model has been requested and loaded by something other than the current script, if you're intending to actually use the model in a later frame, you should call REQUEST_MODEL anyway.
-- @param model The model hash to check for.
-- @return A boolean indicating whether the archetype is loaded (true) or not (false).
function Global.HasModelLoaded(model)
	return fn(_ch(model), _r)
end
